#include "stdafx.h"
#include "PreviewReaders.h"
#include "resource.h"

#include <string>

Bitmap*  CFileDataReader::noPrev()
{	
	HBITMAP hbmp = ::LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_NOPREV));
	ASSERT(hbmp!=NULL);
	Bitmap* pBmp = Bitmap::FromHBITMAP(hbmp,NULL);
	ASSERT(pBmp->GetLastStatus() == Ok);
	return pBmp;
}
//========================================


// ============================Picreader
CPicDataReader::CPicDataReader()
{
    m_pPicture = NULL;
	m_bSuccess = false;
}

void CPicDataReader::setFile(const CString& file)
{
	CFileDataReader::setFile(file);
	m_bSuccess = false;

    wchar_t* wstrFName = new wchar_t[file.GetLength() + 1];
	
	for (int i=0; i<file.GetLength(); i++)
		wstrFName[i] = file[i];
	wstrFName[i]=0;

	m_pPicture = Bitmap::FromFile(wstrFName);
	ASSERT(m_pPicture!=NULL);
	if (m_pPicture->GetLastStatus() == Ok) {
        m_bSuccess = true;
	}

    delete[] wstrFName;
}
//========================================

